#if __STDC__ || defined(__cplusplus)
#define P_(s) s
#else
#define P_(s) ()
#endif

/* detonate.c */
extern void detothers P_((void));
/* enter.c */
extern void enter P_((int tno, char *disp, int pno, int s_type));
extern void openmem P_((void));
extern void auto_peace P_((void));
/* getship.c */
extern void getship P_((struct ship *shipp, int s_type));
/* interface.c */
extern void set_speed P_((int speed));
extern void set_course P_((int dir));
extern void shield_up P_((void));
extern void shield_down P_((void));
extern void shield_tog P_((void));
extern void bomb_planet P_((void));
extern void beam_up P_((void));
extern void beam_down P_((void));
extern void repair P_((void));
extern void repair_off P_((void));
extern void repeat_message P_((void));
extern void cloak P_((void));
extern void cloak_on P_((void));
extern void cloak_off P_((void));
extern void lock_planet P_((int planet));
extern void lock_player P_((int player));
extern void declare_war P_((int mask));
extern void sendwarn P_((char *string, int atwar, int team));
extern void do_refit P_((int type));
extern int numShips P_((int owner));
extern int numPlanets P_((int owner));
extern void tractor_player P_((int player));
extern void pressor_player P_((int player));
/* phaser.c */
extern void phaser P_((int course));
/* plasma.c */
extern void nplasmatorp P_((int course, int type));
/* robotII.c */
extern void main P_((int argc, char **argv));
extern int findtestslot P_((void));
extern int findrslot P_((void));
extern void warning P_((int f, char *mess));
extern void swarning P_((int whichmessage, int argument, int argument2));
extern void handleUpdatesReq P_((int *arg));
extern void bd_phaser P_((int dir));
/* rmove.c */
extern void rmove P_((void));
extern unsigned char getcourse P_((int x, int y));
extern void pmessage P_((char *str, int recip, int group, char *address));
extern void pmessage2 P_((char *str, int recip, int group, char *address, int from));
/* startdaemon.c */
extern void startdaemon P_((void));
extern void practice_robo P_((void));
/* torp.c */
extern void ntorp P_((int course, int type));
extern int vector_torp_speed P_((int pdir, int pspeed, int tdir, int tspeed));
/* sintab.c */
/* mypopen.c */
extern struct _iobuf *mypopen P_((char *cmd, char *cmds, char *mode));
extern int mypclose P_((struct _iobuf *ptr));
/* data.c */
/* sysdefaults.c */
extern int readsysdefaults P_((void));
extern int YesNo P_((char *p));
extern void readstrings P_((char *type, char *string, char **keys, int *array, int max));
extern int update_sys_defaults P_((int daemon));
extern int dotimecheck P_((void));
extern int parseday P_((char *day_s));
extern int todayday P_((void));
extern time_t convtime P_((int v));
extern int time_is_now P_((time_t tl, time_t th));
/* util.c */
extern int angdist P_((int x, int y));
extern void copy80 P_((char *dest, char *addr_format, char *address, char *str));
extern void my_sleep P_((int secs));
extern char *strdup P_((const char *str));
extern int mstime P_((void));
/* realnumships.c */
extern int realNumShips P_((int owner));

#undef P_
